/**
 * @description: 地址工具类
 * @author ChenRui
 * @date 2021/1/15 15:37
 */
declare class UrlUtilService {
    /**
     * @description: 获取地址
     * @author ChenRui
     * @date 2021/1/15 15:43
     */
    getPathFromUrl(url: string): string;
    /**
     * @description: 获取参数
     * @author ChenRui
     * @date 2021/1/15 15:37
     */
    getParamsFromUrl(url: string): any;
    /**
     * @description: 参数拼接
     * @author ChenRui
     * @date 2021/1/15 15:38
     */
    urlParameterToParams(parameter: string): any;
    /**
     * @description: 拼接地址与参数
     * @author ChenRui
     * @date 2021/1/15 15:53
     */
    getParameterOfUrl(url: string, parameterMap?: any): string;
    /**
     * @description: 从地址中获取登录响应码
     * @author ChenRui
     * @date 2020/12/18 15:23
     */
    getQueryValue(queryName: string): string;
    /**
     * @description: 删除参数
     * @author ChenRui
     * @date 2021/1/15 15:40
     */
    deleteParameter(url: string, ...delParams: string[]): string;
}
declare const urlUtilService: UrlUtilService;
export { urlUtilService };
